Skip to main content
GET
/
sessions
/
{id}
/
responses
Get session responses
curl --request GET \
  --url https://app.harmonica.chat/api/v1/sessions/{id}/responses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "participant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "participant_name": "<string>",
      "active": true,
      "messages": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "role": "user",
          "content": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your key as a Bearer token. Keys use the format hm_live_<32 hex chars>. Generate keys from your Harmonica dashboard settings.

Path Parameters

id
string<uuid>
required

Session ID

Response

Participant responses

data
object[]
required